{% extends 'userena/base_userena.html' %}
{% load i18n %}
{% load url from future %}
{% load volunteer_extras %}

{% block content_title %}<h2 class="content-title">{% trans 'Tasks' %}</h2>{% endblock %}

{% block content %}


{% if profile_user %}
<form class="task_list" action="{% url 'task_list_detailed' edition.name profile_user.username %}" method="post">{% csrf_token %}
{% else %}
<form class="task_list" action="{% url 'task_list_detailed' edition.name user.username %}" method="post">{% csrf_token %}
{% endif %}

    <fieldset>
        <legend class="task_list">{% trans 'schedule for ' %}
            {% if profile_user %}
                {{ volunteer.nick }} - {{ volunteer.badge_name }}
                <img src="{{ volunteer.get_mugshot_url }}" class="avatar_large"/>
            {% else %}
                { volunteer.nick }} - {{ volunteer.badge_name }}
            {% endif %}
        </legend>
        <table class="task_list">
            <thead>
                <tr>
                    <th width="15%">{% trans 'When' %}</th>
		    <th width="15%">{% trans 'Where' %}</th>
                    <th width="40%">{% trans 'Title' %}</th>
                    <th width="20%">{% trans 'Attending' %}</th>
                    <th width="10%">{% trans 'Talk' %}</th>
                </tr>
            </thead>
            <tbody>
                {% for task in tasks %}
                <tr>
                    <td data-title="{% trans 'When' %}">{{ task.date|date:"D" }}, {{ task.start_time|time:"H:i" }} - {{ task.end_time|time:"H:i" }}</td>
		    <td>{{ task.room }}</td>
		    <td data-title="{% trans 'Title' %}"><a href="{% url 'task_detailed' edition.name task.id %}">{{ task.name }}</a></td>
                    <td data-title="{% trans 'Attending' %}">
                    {% for volunteer in task.volunteer_set.all %}
                        {{ volunteer.nick }}{% if not forloop.last %},{% endif %}
                    {% endfor %}
                    <td data-title="{% trans 'Talk' %}">{{ task.talk }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        <br>
        <h1>Task Descriptions</h1><br/>
        {% for task in tasks %}
        <h2>{{ task.name }}</h2>
        <p>{{ task.description|linebreaksbr }}</p><br/>
        {% endfor%}
    </fieldset>
    <input type="submit" name="print_pdf" value="{% trans "Print schedule" %}" />
    {% if user == profile_user or user.is_staff %}
    <input type="submit" name="mail_schedule" value="{% trans "Mail schedule" %}" />
    {% endif %}
</form>

<div id="dialog" title="Task"></div>

{% if is_paginated %}
<div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
        <a href="{% url 'userena_profile_list_paginated' edition.name page_obj.previous_page_number %}">{% trans 'previous' %}</a>
        {% endif %}

        <span class="current">
            {% trans 'Page' %} {{ page_obj.number }} {% trans 'of' %} {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
        <a href="{% url 'userena_profile_list_paginated' edition.name  page_obj.next_page_number %}">{% trans 'next' %}</a>
        {% endif %}
    </span>
</div>
{% endif %}
{% endblock %}
